Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice
Class WSDLDefinitionFactory

    java.lang.Object
      org.jboss.webservice.WSDLDefinitionFactory

public class WSDLDefinitionFactory
extends Object

A factory that creates a WSDL `Definition` from an URL.

Since:
  15-April-2004
Author:
  Thomas.Diesler@jboss.org

Nested Class Summary
`static class` | `WSDLDefinitionFactory.WSDLLocatorImpl`

Field Summary
`static String` | `FEATURE_IMPORT_DOCUMENTS`
`static String` | `FEATURE_VERBOSE`

Method Summary
`static WSDLDefinitionFactory` | `newInstance()` Create a new instance of a wsdl factory
`javax.wsdl.Definition` | `parse(URL wsdlLocation)` Read the wsdl document from the given URL
`void` | `setFeature(String name, boolean value)` Set a feature on the underlying reader

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FEATURE_IMPORT_DOCUMENTS

    public static final String FEATURE_IMPORT_DOCUMENTS

See Also:
  Constant Field Values

### FEATURE_VERBOSE

    public static final String FEATURE_VERBOSE

See Also:
  Constant Field Values

Method Detail

### newInstance

    public static WSDLDefinitionFactory newInstance()
                                             throws javax.wsdl.WSDLException

  Create a new instance of a wsdl factory

  Throws:
    `javax.wsdl.WSDLException`

### setFeature

    public void setFeature(String name,
                           boolean value)
                    throws IllegalArgumentException

  Set a feature on the underlying reader

  Throws:
    `IllegalArgumentException`

### parse

    public javax.wsdl.Definition parse(URL wsdlLocation)
                                throws javax.wsdl.WSDLException

  Read the wsdl document from the given URL

  Throws:
    `javax.wsdl.WSDLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.